pandoc-lua-marshal-0.3.0: Use pandoc types in Lua

Copyright | © 2021-2024 Albert Krewinkel
License | MIT
Maintainer | Albert Krewinkel <tarleb+pandoc@moltkeplatz.de>
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Lua.Marshal.List

Description

Lua lists with additional methods.

Synopsis

- module HsLua.List
- pushPandocList :: LuaError e => Pusher e a -> Pusher e [a]

# Documentation

module HsLua.List

pushPandocList :: LuaError e => Pusher e a -> Pusher e [a] #

Pushes a list as a numerically-indexed Lua table, and sets a metatable that offers a number of convenience functions.